Loading...
Searching...
No Matches
ON_BrepVertexArray Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_brep.h>`

Inheritance diagram for ON_BrepVertexArray:

## Public Member Functions

| ON_BrepVertexArray ()
| ~ON_BrepVertexArray ()
ON_BOOL32 | Read (ON_BinaryArchive &)
ON_BOOL32 | Write (ON_BinaryArchive &) const
unsigned int | SizeOf () const
Public Member Functions inherited from ON_ObjectArray< ON_BrepVertex >
| ON_ObjectArray ()
| ON_ObjectArray (int)
| ON_ObjectArray (const ON_ObjectArray< ON_BrepVertex > &)
| ~ON_ObjectArray ()
ON_ObjectArray< ON_BrepVertex > & | operator= (const ON_ObjectArray< ON_BrepVertex > &)
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_BrepVertex * | Realloc (ON_BrepVertex *, int)
bool | HeapSort (int(*)(const ON_BrepVertex *, const ON_BrepVertex *))
bool | QuickSort (int(*)(const ON_BrepVertex *, const ON_BrepVertex *))
Public Member Functions inherited from ON_ClassArray< T >
| ON_ClassArray ()
| ON_ClassArray (int)
| ON_ClassArray (const ON_ClassArray< T > &)
virtual | ~ON_ClassArray ()
ON_ClassArray< T > & | operator= (const ON_ClassArray< T > &)
void | EmergencyDestroy (void)
int | Count () const
unsigned int | UnsignedCount () const
int | Capacity () const
unsigned int | SizeOfArray () const
unsigned int | SizeOfElement () const
T & | operator[] (int)
T & | operator[] (unsigned int)
T & | operator[] (ON__INT64)
T & | operator[] (ON__UINT64)
const T & | operator[] (int) const
const T & | operator[] (unsigned int) const
const T & | operator[] (ON__INT64) const
const T & | operator[] (ON__UINT64) const
| operator T* ()
| operator const T * () const
T * | First ()
const T * | First () const
T * | At (int)
T * | At (unsigned int)
T * | At (ON__INT64)
T * | At (ON__UINT64)
const T * | At (int) const
const T * | At (unsigned int) const
const T * | At (ON__INT64) const
const T * | At (ON__UINT64) const
T * | Last ()
const T * | Last () const
T & | AppendNew ()
void | Append (const T &)
void | Append (int, const T *)
void | Insert (int, const T &)
void | Remove ()
void | Remove (int)
void | Empty ()
void | Reverse ()
void | Swap (int, int)
int | Search (const T *, int(*)(const T *, const T *)) const
int | BinarySearch (const T *, int(*)(const T *, const T *)) const
int | BinarySearch (const T *, int(*)(const T *, const T *), int) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const T *, const T *)) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const T *, const T *, void *), void *) const
bool | Permute (const int *)
void | Zero ()
void | Reserve (int)
void | Shrink ()
void | Destroy ()
T * | Array ()
const T * | Array () const
void | SetCount (int)
void | SetCapacity (int)
int | NewCapacity () const
T * | KeepArray ()
void | SetArray (T *)
void | SetArray (T *, int, int)

## Additional Inherited Members

Protected Member Functions inherited from ON_ClassArray< T >
void | Move (int, int, int)
void | ConstructDefaultElement (T *)
void | DestroyElement (T &)
Protected Attributes inherited from ON_ClassArray< T >
T * | m_a
int | m_count
int | m_capacity

## Detailed Description

Definition at line 1466 of file opennurbs_brep.h.

## Constructor & Destructor Documentation

## ON_BrepVertexArray()

ON_BrepVertexArray::ON_BrepVertexArray | ( |  | ) |

## ~ON_BrepVertexArray()

ON_BrepVertexArray::~ON_BrepVertexArray | ( |  | ) |

## Member Function Documentation

## Read()

ON_BOOL32 ON_BrepVertexArray::Read | ( | ON_BinaryArchive & |  | ) |

## SizeOf()

unsigned int ON_BrepVertexArray::SizeOf | ( |  | ) | const

## Write()

ON_BOOL32 ON_BrepVertexArray::Write | ( | ON_BinaryArchive & |  | ) | const

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_brep.h